Create Alert Config

POST /alerts/alert-config

Create a new alert configuration to monitor podcasts for mentions of a person, company, or custom keyword.

TOKEN

Authentication

This endpoint requires an API token. You can learn more about how to get an API token from the authentication page.

URL

https://api.podengine.ai/api/v1/alerts/alert-config

Code Example

API Specification

Request Body

PropertyTypeDescription
alertName
string

alertType
enum ⓘ

Allowed values

personcompanycustom-keyword

value
string

emailSettingsoptional
object

frequency
enum ⓘ

Allowed values

hourlydailyweekly

enabledoptional
boolean

generateAlternativeSpellingsoptional
boolean

additionalAlertSettingsoptional
object

otherEmailsoptional
array
of
string

otherSpellingsoptional
array
of
string

200

Success Response

PropertyTypeDescription
status
literal: OK

data
object

createdAlertConfig
object

id
string

createdByUserId
string

teamId
string

createdAt
date

updatedAt
date

alertName
string

alertType
enum ⓘ

Allowed values

personcompanycustom-keyword

enabled
boolean

alertSettings
intersection

emailSettings
object

frequency
enum ⓘ

Allowed values

hourlydailyweekly

lastRunDatenullable
date